sast:
  image: node:slim
  stage: secure
  rules:
    - if: $CI_COMMIT_BRANCH == "main"
    - if: $CI_MERGE_REQUEST_IID
  artifacts:
    reports:
      sast: gl-sast-report.json
    paths: 
      - gl-sast-report.json # keep the report
  script: |
    if [ -z "$CI_MERGE_REQUEST_IID" ]
    then
      echo "{}" > gl-sast-report.json
    else
      # this is a merge request
      node ./ci/vulnerabilities.js
    fi
    
